header {
    background-color: var(--farbe-cream);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 100;
}

.header-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    max-width: 1440px;
    margin: 0 auto;
    padding: 20px;
    height: 92px;
}

header img {
    width: 63px;
}

.navigation {
    display: flex;
    flex-direction: row;
    gap: 24px;
    align-items: center;
}

.navigation button {
    all: unset;
    font-family: 'Syne';
    font-style: normal;
    font-weight: 700;
    font-size: 16px;
    color: var(--farbe-black);
    text-decoration: none;
    position: relative;
    display: inline-block;
    cursor: pointer;
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    color: inherit;
}

.navigation button::after {
    content: '';
    position: absolute;
    bottom: -6px;
    right: 0;
    width: 60%;
    height: 2px;
    background-color: var(--farbe-black);
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.3s ease;
    z-index: 0 !important;
}

.navigation button:hover::after {
    transform: scaleX(1);
}

.navigation button.active,
.navigation focus.active {
    outline: 2.5px solid var(--farbe-lilac);
    outline-offset: 4px;
    z-index: 999 !important;
}

.navigation button.active::after {
    transform: scaleX(0);
}

label {
    margin-left: 30px;
    cursor: pointer;
}

.burger-icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.burger-icon {
    width: 34px;
    height: 34px;
    position: relative;
}

.frame {
  position: absolute;
  inset: 0;
  opacity: 0;
  transition: opacity 0.2s;
}

.f1 { opacity: 1; }

.width {
    max-width: 1440px;
    margin: 0 auto;
}

.toggle-menu {
    height: calc(100vh - 92px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.toggle-footer {
    clip-path: polygon(0 0px, 100% 120px, 100% 100%, 0% 100%) !important;
    background-color: var(--farbe-black) !important;
    min-height: 200px !important;
    display: block !important;
    width: 100% !important;
    padding-top: 30px;
}

.footer-direction {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: space-between;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 20px;
    background-color: transparent;
}

.toggle-menu-left {
    padding-left: 0px;
}

.toggle-menu-right {
    padding-right: 0px;
    margin-right: -20px;
}

.open-menu {
    flex: 1;                          
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 75px;
}

.open-menu a {
    font-family: 'Syne';
    font-style: normal;
    font-weight: 700;
    font-size: 96px;
    line-height: 100%;
    letter-spacing: -2.5%;
    color: var(--farbe-schwarz);
}

.toggle-footer-heading {
    font-family: 'Syne';
    font-style: normal;
    font-weight: 800;
    font-size: 78px;
    letter-spacing: 1%;
    color: var(--farbe-cream);
}

.footer-link-text {
    font-family: 'Overpass';
    font-size: 23px;
    font-weight: 300;
    color: var(--farbe-cream);
    line-height: 120%;
    margin-top: -30px;
}

.open-nav-link {
  position: relative;
  display: inline-block;
  font-size: 48px;
  font-weight: 700;
  text-decoration: none;
  color: var(--farbe-black);
  padding: 20px 30px;
}

.open-nav-link::before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 40px;
  height: 40px;
  border-left: 4px solid var(--farbe-black);
  border-bottom: 4px solid var(--farbe-black);
}

.open-nav-link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 4px;
  width: 0%;
  background: var(--farbe-black);
  transition: width 0.4s ease;
}

.open-nav-link:hover::after {
  width: 75%;
}

.open-nav-link:active {
  outline: 4px solid var(--farbe-black);
  outline-offset: -4px;
}